package com.patzn.lims.frame.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.Account;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.frame.entity.LmsQcSubPlan;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 内部质控计划子表 服务类
 * </p>
 *
 * @author patzn
 * @since 2018-07-09
 */
public interface ILmsQcSubPlanService extends IBaseService<LmsQcSubPlan> {


    Page<LmsQcSubPlan> page(Page<LmsQcSubPlan> page, LmsQcSubPlan lmsQcSubPlan);


    List<LmsQcSubPlan> list(LmsQcSubPlan lmsQcSubPlan);


    Page<LmsQcSubPlan> pageSubPlan(Page<LmsQcSubPlan> page, LmsQcSubPlan lmsQcSubPlan, Date startDate, Date endDate);


    boolean copy(LmsQcSubPlan lmsQcSubPlan, Account account);


    boolean submit(Long[] ids, String result, Date endDate);


    boolean removeByIds(Long[] ids);


    boolean updatePlanById(LmsQcSubPlan lmsQcSubPlan);
}
